petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatFDColoringSetFunction

Sets the function to use for computing the Jacobian.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringSetFunction(MatFDColoring matfd,PetscErrorCode (*f)(void),void *fctx)

Logically Collective on MatFDColoring

### Input Parameters

| coloring | - the coloring context
| f | - the function
| fctx | - the optional user-defined function context

### Calling sequence of (*f) function

For SNES: PetscErrorCode (*f)(SNES,Vec,Vec,void*) If not using SNES: PetscErrorCode (*f)(void *dummy,Vec,Vec,void*) and dummy is ignored

### Notes

This function is usually used automatically by SNES (when one uses SNESSetJacobian() with the argument SNESComputeJacobianDefaultColor()) and only needs to be used by someone computing a matrix via coloring directly by calling MatFDColoringApply()

### Fortran Notes

In Fortran you must call MatFDColoringSetFunction() for a coloring object to be used without SNES or within the SNES solvers.

### Keywords

Mat, Jacobian, finite differences, set, function

### See Also

MatFDColoringCreate(), MatFDColoringGetFunction(), MatFDColoringSetFromOptions()

### Level

advanced

### Location

src/mat/matfd/fdmatrix.c

### Examples

src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex14.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages